<?php

if (class_exists('WC_Product')) {
    class WC_Product_BDPCPBookableProduct extends WC_Product
    {
        public function __construct($product)
        {
            $this->product_type = 'bdpcp_bookable_product';
            parent::__construct($product);
        }

        public function get_type()
        {
            return 'bdpcp_bookable_product';
        }
    }
}
